.. _signals_label:

Signals
=======

This is a collection of signals that can be used in the
:class:`event loop <simpleline.event_loop.AbstractEventLoop>`.

.. automodule:: simpleline.event_loop.signals
    :members:
    :inherited-members:
    :show-inheritance:

Creating custom signals
-----------------------

New signals can be created by subclassing an existing signal class or
:class:`AbstractSignal <simpleline.event_loop.AbstractSignal>`

.. autoclass:: simpleline.event_loop.AbstractSignal
    :members:
    :inherited-members:
